Skip to main content
POST
/
api
/
v1
/
backchannel
/
news
/
companies
cURL
curl --request POST \
  --url https://tilt.io/api/v1/backchannel/news/companies \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "as_of_date": "<string>",
  "isins": [
    "<string>"
  ],
  "lookback_days": 1,
  "limit": 1,
  "min_composite_score": 0.5,
  "include_content": true
}
'
{
  "success": true,
  "articles": [
    {}
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
as_of_date
string
required
Pattern: ^\d{4}-\d{2}-\d{2}$
isins
string[]
lookback_days
integer
Required range: x > 0
limit
integer
Required range: x > 0
min_composite_score
number
Required range: 0 <= x <= 1
include_content
boolean

Response

200 - application/json

Company news articles by ISIN

success
boolean
required
articles
object[]
required
total
integer